Bug 1127361 - WARN [org.jboss.security] (Periodic Recovery) PBOX000231: End loadConfig, failed to load config
Summary: WARN [org.jboss.security] (Periodic Recovery) PBOX000231: End loadConfig, fa...
Keywords:
Status: CLOSED DUPLICATE of bug 1144998
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR02
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 18:27 UTC by Matt Mahoney
Modified: 2014-09-24 14:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 18:01:56 UTC
Type: Bug


Attachments (Terms of Use)
Server.log (1.43 MB, text/plain)
2014-08-06 18:27 UTC, Matt Mahoney
no flags Details

Description Matt Mahoney 2014-08-06 18:27:43 UTC
Created attachment 924558 [details]
Server.log

Description of problem:
Warning in server.log file after clean install and server start:

 WARN  [org.jboss.security] (Periodic Recovery) PBOX000231: End loadConfig, failed to load config: file:/home/hudson/jon-server-3.3.0.DR01/jbossas/bin/login-config.xml: java.io.FileNotFoundException: /home/hudson/jon-server-3.3.0.DR01/jbossas/bin/login-config.xml (No such file or directory)
        at java.io.FileInputStream.open(Native Method) [rt.jar:1.7.0_45]
        at java.io.FileInputStream.<init>(FileInputStream.java:146) [rt.jar:1.7.0_45]
        at java.io.FileInputStream.<init>(FileInputStream.java:101) [rt.jar:1.7.0_45]
        at sun.net.www.protocol.file.FileURLConnection.connect(FileURLConnection.java:90) [rt.jar:1.7.0_45]
        at sun.net.www.protocol.file.FileURLConnection.getInputStream(FileURLConnection.java:188) [rt.jar:1.7.0_45]
        at java.net.URL.openStream(URL.java:1037) [rt.jar:1.7.0_45]
        at org.jboss.security.auth.login.XMLLoginConfigImpl.loadSunConfig(XMLLoginConfigImpl.java:420) [picketbox-4.0.19.SP8-redhat-1.jar:4.0.19.SP8-redhat-1]
        at org.jboss.security.auth.login.XMLLoginConfigImpl.loadConfig(XMLLoginConfigImpl.java:388) [picketbox-4.0.19.SP8-redhat-1.jar:4.0.19.SP8-redhat-1]
        at org.jboss.security.auth.login.XMLLoginConfigImpl.loadConfig(XMLLoginConfigImpl.java:364) [picketbox-4.0.19.SP8-redhat-1.jar:4.0.19.SP8-redhat-1]
        at org.jboss.security.auth.login.XMLLoginConfigImpl.getAppConfigurationEntry(XMLLoginConfigImpl.java:127) [picketbox-4.0.19.SP8-redhat-1.jar:4.0.19.SP8-redhat-1]
        at javax.security.auth.login.LoginContext.init(LoginContext.java:260) [rt.jar:1.7.0_45]
        at javax.security.auth.login.LoginContext.<init>(LoginContext.java:382) [rt.jar:1.7.0_45]
        at javax.security.auth.login.LoginContext.<init>(LoginContext.java:459) [rt.jar:1.7.0_45]


Version-Release number of selected component (if applicable):
JON 3.3 DR01

How reproducible:


Steps to Reproduce:
1. Install and start JON
2.
3.

Actual results:
Warnings in server.log after clean install/start.

Expected results:
Should be zero silent Warnings in server.log


Additional info:

Comment 1 Jay Shaughnessy 2014-09-09 18:01:56 UTC
This hasn't been seen in later releases.  Please re-open if seen again.

Comment 2 Jay Shaughnessy 2014-09-24 14:19:48 UTC
This was again reported in Bug 1144998, marking this duplicate of that bug.

*** This bug has been marked as a duplicate of bug 1144998 ***


Note You need to log in before you can comment on or make changes to this bug.